"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var FocusZone_1 = require("office-ui-fabric-react/lib/FocusZone");
var Image_1 = require("office-ui-fabric-react/lib/Image");
require("./FocusZone.Photos.Example.scss");
var MAX_COUNT = 20;
var _counter = 0;
var FocusZonePhotosExample = /** @class */ (function (_super) {
    tslib_1.__extends(FocusZonePhotosExample, _super);
    function FocusZonePhotosExample(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            items: _this._getInitialItems()
        };
        return _this;
    }
    FocusZonePhotosExample.prototype.render = function () {
        var items = this.state.items;
        return (React.createElement(FocusZone_1.FocusZone, { as: "ul", className: "ms-FocusZoneExamples-photoList" }, items.map(function (item, index) { return (React.createElement("li", { key: item.id, className: "ms-FocusZoneExamples-photoCell", "aria-posinset": index + 1, "aria-setsize": items.length, "aria-label": "Photo", "data-is-focusable": true },
            React.createElement(Image_1.Image, { src: item.url, width: item.width, height: item.height }))); })));
    };
    FocusZonePhotosExample.prototype._getInitialItems = function () {
        var items = [];
        for (var i = 0; i < MAX_COUNT; i++) {
            items.push(this._createItem());
        }
        return items;
    };
    FocusZonePhotosExample.prototype._createItem = function () {
        var randomWidth = 50 + Math.floor(Math.random() * 150);
        var id = _counter++;
        return {
            id: id,
            url: "http://placehold.it/" + randomWidth + "x100",
            width: randomWidth,
            height: 100
        };
    };
    return FocusZonePhotosExample;
}(React.Component));
exports.FocusZonePhotosExample = FocusZonePhotosExample;
//# sourceMappingURL=FocusZone.Photos.Example.js.map